WESNOTHD(6)

NOM
wesnothd - Serveur pour jeu multijoueur en réseau de Bataille pour Wesnoth

SYNOPSIS
wesnothd [-dv] [-c chemin] [-p port] [-t nombre] [-T nombre]
wesnothd -V

DESCRIPTION
Gère les jeux multijoueurs de Bataille pour Wesnoth. Voir les commandes que le serveur accepte via le client wesnoth ou via une fifo sur http://www.wesnoth.org/wiki/ServerAdministration.

OPTIONS

-c chemin, --config chemin
    Indique le fichier de configuration à utiliser par wesnothd. Voir la syntaxe ci-dessous dans la section CONFIGURATION DU SERVEUR. Vous pouvez recharger la configuration en envoyant un signal SIGHUP au processus du serveur.

-d, --daemon
    Exécute wesnothd en tant que démon.

-h, --help
    Aide sur les options de la ligne de commande.

--log-niveau=domaine1,domaine2,...
    Définit le niveau d'alerte du débogueur. all permet de suivre tous les niveaux de déboguage. Niveaux disponibles : error, warning, info, debug. Le niveau utilisé par défaut est error et info est utilisé par le serveur.

-p, port, --port port
    Assigne au serveur le port spécifié (par défaut : 15000).

-t, nombre, --threads nombre
    Positionne le nombre maximal de threads pour les entrées/sorties réseau à la valeur n (par défaut : 5, max : 30).

-T nombre, --max-threads nombre
    Définit le nombre maximal de threads qui seront créés. Si ce nombre est nul, il n'y a pas de limite (par défaut : 0).

-V, --version
    Affiche le numéro de version et quitte le programme.

-v, --verbose
    Active une journalisation maximale.

CONFIGURATION DU SERVEUR

  La syntaxe générale est :

[tag]

    clé="valeur"

    clé="valeur,valeur,..."

[/tag]

  Clés globales :

allow_remote_shutdown
    Si vous choisissez no (par défaut), shut_down et restart sont ignorées à moins qu'ils ne proviennent de la fifo. Réglez yes pour permettre l'arrêt à distance via /query par un administrateur.

ban_save_file
    Chemin complet ou relatif vers un fichier compressé (au format gzip) que le serveur peut lire et écrire. Les bannissements seront sauvegardés dans ce fichier et relu à chaque démarrage du serveur.

compress_stored_rooms
    Détermine si les salles de discussion doivent être lues et écrites en format compressé. Par défaut yes.

connections_allowed
    Nombre maximum de connexions ayant la même adresse IP. 0 pour infini (par défaut : 5).

disallow_names
    Noms/surnoms non acceptés par le serveur. Les caractères génériques * et ? sont acceptés. Voir glob(7) pour plus d'informations. Les valeurs par défaut (utilisées si rien n'est précisé) sont : *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    Chemin de la fifo dans laquelle vous pouvez envoyer des commandes au serveur (comme les /query depuis wesnoth). Si elle n'est pas précisée, le chemin est celui prédéfini lors de la compilation (valeur par défaut : /var/run/socket/wesnothd/socket).

max_messages
    Nombre maximum de messages permis en messages_time_period (par défaut : 4).

messages_time_period
    Période, en secondes, après laquelle un surnombre de messages est détecté (par défaut : 10 secondes).

motd
    Le message du jour.

new_room_policy
    Détermine qui peut créer des salles de discussion sur le serveur. Les valeurs disponibles sont everyone, registered, admin et nobody, et donne la permission respectivement à tout le monde, les utilisateurs inscrits, les administrateurs ou désactive la création de nouvelles salles. La valeur par défaut est everyone.

passwd
    Mot de passe pour obtenir des droits d'administrateur.(via /query admin password).

replay_save_path
    Répertoire où le serveur sauvegarde les films des parties (n'oubliez pas le / final). La valeur par défaut `' indique que ce répertoire est celui où a été démarré wesnothd.

restart_command
    Ligne de commande avec laquelle le serveur relance un processus depuis la commande restart. (seulement possible depuis la fifo. Voir le paramètre allow_remote_shutdown.)

room_save_file
    Chemin du fichier où les informations sur les salles de discussion doivent être conservées. S’il est vide ou non spécifié, les salles ne sont pas chargées et non enregistrées.

save_replays
    Définit si le serveur va automatiquement sauvegarder les films des parties (par défaut : false).

versions_accepted
    Liste des versions acceptées par le serveur, séparées par des virgules. Les caractères génériques * et ? sont acceptés (par défaut : version correspondant à celle de wesnoth).
    Exemple : versions_accepted="*" autorise tout type de version.

user_handler
    Nom de l'identifiant utilisateur à utiliser. Les identifiants disponibles sont forum (pour connecter wesnothd à une base de données pour forum phpbb) et sample (une implémentation minimale de l'interface utilisateur ; courrez vous faire soigner si vous l'utilisez). La valeur par défaut est forum. Vous devrez aussi ajouter une section [user_handler] comme indiqué ci-dessous.

  Balises globales :

[redirect] Balise pour permettre au serveur de rediriger certaines versions du client.

    host
        Adresse du serveur de redirection.

    port
        Port de connexion.

    version
        Liste des versions redirigées, séparées par des virgules. Fonctionne comme versions_accepted au niveau des caractères génériques.

[ban_time] Balise pour définir des mots clés utilisables pour des durées temporaires de bannissement.

    name
        Nom utilisé pour référencer une durée de bannissement.

    time
        Format de la durée, au format %d[%s[%d%s[...]]], où %s est s (secondes), m (minutes), h (heures), D (jours), M (mois) ou Y (années), et %d un nombre. Si le type de durée n'est pas précisé, le temps est exprimé en minutes. Exemple : time="1D12h30m" donne un bannissement de 1 jour, 12 heures et 30 minutes.

[proxy] Balise pour demander au serveur de se comporter comme un proxy et de rediriger les requêtes des clients vers le serveur spécifié. Fonctionne comme [redirect].

[user_handler] Configure l'identifiant utilisateur. Les options disponibles dépendent de la configuration de la clé user_handler. S'il n'y a aucune section [user_handler] dans la configuration, le serveur fonctionnera sans aucun service d'enregistrement d'alias.

    db_host
        (pour user_handler=forum) Nom d'hôte du serveur de base de données

    db_name
        (pour user_handler=forum) Nom de la base de donnée

    db_user
        (pour user_handler=forum) Nom d'utilisateur se connectant à la base de données

    db_password
        (pour user_handler=forum) Mot de passe de l'utilisateur

    db_users_table
        (pour user_handler=forum) Nom de la table des données utilisateurs de vos forums phpbb, probablement sous la forme <table-prefix>_users. Exemple : phpbb3_users.

    db_extra_table
        (pour user_handler=forum) Nom de la table dans laquelle wesnothd sauvegardera ses données utilisateurs. Vous devrez créer cette table manuellement. Exemple : CREATE TABLE <table-name>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (for user_handler=sample) Temps de validité de l'alias ('nick', en anglais), en jours.

[mail] Configure un serveur SMTP pour permettre à l'utilisateur d'envoyer des mails. Actuellement uniquement utilisé pour l'identifiant 'sample'.

    server
        Nom d'hôte du serveur mail

    username
        Nom d'utilisateur utilisé pour vous connecter au serveur mail.

    password
        Mot de passe de cet utilisateur

    from_address
        Adresse de réponse de votre mail.

    mail_port
        Port de votre serveur mail (par défaut : 25).

STATUT DE SORTIE
Le statut normal de sortie est de 0 lorsque le serveur a été correctement arrêté. Un code de sortie de 2 indique une erreur avec les options de ligne de commande.

AUTEUR
Écrit par David White <davidnwhite@verizon.net>. Édité par Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> et Thomas Baumhauer <thomas.baumhauer@gmail.com>. Ce manuel a été à l'origine écrit par Cyril Bouthors <cyril@bouthors.org>.
Rendez-vous sur la page d'accueil officielle : http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Ceci est un logiciel libre ; ce logiciel est sous la licence GPL version 2, comme définie par la Free Software Foundation. Il n'offre AUCUNE GARANTIE, y compris en ce qui concerne la COMMERCIABILITÉ et la CONFORMITÉ À UNE UTILISATION PARTICULIÈRE.

VOIR AUSSI
wesnoth(6).